Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.planargraph
Class DirectedEdgeStar

    java.lang.Object
      com.vividsolutions.jts.planargraph.DirectedEdgeStar

    public class DirectedEdgeStar

extends java.lang.Object

A sorted collection of `DirectedEdge`s which leave a `Node` in a `PlanarGraph`.

Version:
  1.7

Field Summary
`protected java.util.List` | `outEdges` The underlying list of outgoing DirectedEdges

Constructor Summary
`DirectedEdgeStar()` Constructs a DirectedEdgeStar with no edges.

Method Summary
`void` | `add(DirectedEdge de)` Adds a new member to this DirectedEdgeStar.
`Coordinate` | `getCoordinate()` Returns the coordinate for the node at wich this star is based
`int` | `getDegree()` Returns the number of edges around the Node associated with this DirectedEdgeStar.
`java.util.List` | `getEdges()` Returns the DirectedEdges, in ascending order by angle with the positive x-axis.
`int` | `getIndex(DirectedEdge dirEdge)` Returns the zero-based index of the given DirectedEdge, after sorting in ascending order by angle with the positive x-axis.
`int` | `getIndex(Edge edge)` Returns the zero-based index of the given Edge, after sorting in ascending order by angle with the positive x-axis.
`int` | `getIndex(int i)` Returns value of i modulo the number of edges in this DirectedEdgeStar (i.e.
`DirectedEdge` | `getNextCWEdge(DirectedEdge dirEdge)` Returns the `DirectedEdge` on the right-hand (CW) side of the given `DirectedEdge` (which must be a member of this DirectedEdgeStar).
`DirectedEdge` | `getNextEdge(DirectedEdge dirEdge)` Returns the `DirectedEdge` on the left-hand (CCW) side of the given `DirectedEdge` (which must be a member of this DirectedEdgeStar).
`java.util.Iterator` | `iterator()` Returns an Iterator over the DirectedEdges, in ascending order by angle with the positive x-axis.
`void` | `remove(DirectedEdge de)` Drops a member of this DirectedEdgeStar.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outEdges

    protected java.util.List outEdges

  The underlying list of outgoing DirectedEdges

Constructor Detail

### DirectedEdgeStar

    public DirectedEdgeStar()

  Constructs a DirectedEdgeStar with no edges.

Method Detail

### add

    public void add(DirectedEdge de)

  Adds a new member to this DirectedEdgeStar.

### remove

    public void remove(DirectedEdge de)

  Drops a member of this DirectedEdgeStar.

### iterator

    public java.util.Iterator iterator()

  Returns an Iterator over the DirectedEdges, in ascending order by angle with the positive x-axis.

### getDegree

    public int getDegree()

  Returns the number of edges around the Node associated with this DirectedEdgeStar.

### getCoordinate

    public Coordinate getCoordinate()

  Returns the coordinate for the node at wich this star is based

### getEdges

    public java.util.List getEdges()

  Returns the DirectedEdges, in ascending order by angle with the positive x-axis.

### getIndex

    public int getIndex(Edge edge)

  Returns the zero-based index of the given Edge, after sorting in ascending order by angle with the positive x-axis.

### getIndex

    public int getIndex(DirectedEdge dirEdge)

  Returns the zero-based index of the given DirectedEdge, after sorting in ascending order by angle with the positive x-axis.

### getIndex

    public int getIndex(int i)

  Returns value of i modulo the number of edges in this DirectedEdgeStar (i.e. the remainder when i is divided by the number of edges)

  Parameters:
    `i` - an integer (positive, negative or zero)

### getNextEdge

    public DirectedEdge getNextEdge(DirectedEdge dirEdge)

  Returns the `DirectedEdge` on the left-hand (CCW) side of the given `DirectedEdge` (which must be a member of this DirectedEdgeStar).

### getNextCWEdge

    public DirectedEdge getNextCWEdge(DirectedEdge dirEdge)

  Returns the `DirectedEdge` on the right-hand (CW) side of the given `DirectedEdge` (which must be a member of this DirectedEdgeStar).

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD